## syslog-ng-3.33.1-1.src.tar.gz

=== modules/kafka/CMakeLists.txt ===
find_package(rdkafka 1.1.0)

if (RDKAFKA_FOUND)
  option(ENABLE_KAFKA "Enable kafka module" ON)
else()
  option(ENABLE_KAFKA "Enable kafka module" OFF)
endif()

if (NOT ENABLE_KAFKA)
 return()
endif()

if (NOT RDKAFKA_FOUND)
  message(FATAL_ERROR "Kafka enabled but no librdkafka found")
endif()


set(CMAKE_REQUIRED_INCLUDES ${RDKAFKA_INCLUDE_DIR})
set(CMAKE_REQUIRED_LIBRARIES ${RDKAFKA_LIBRARY})
check_symbol_exists(rd_kafka_init_transactions "librdkafka/rdkafka.h" SYSLOG_NG_HAVE_RD_KAFKA_INIT_TRANSACTIONS)

set(KAFKA_SOURCES
  kafka-parser.c
  kafka-parser.h
  kafka-plugin.c
  kafka-dest-driver.c
  kafka-dest-worker.c
  kafka-plugin.c
  kafka-props.c
  kafka-internal.h
)

add_module(
  TARGET kafka
  GRAMMAR kafka-grammar
  DEPENDS rdkafka
  SOURCES ${KAFKA_SOURCES}
)

add_test_subdirectory(tests)

=== modules/mqtt/CMakeLists.txt ===
find_package(eclipse-paho-mqtt-c)

module_switch(MQTT_DESTINATION "Enable mqtt_destination" eclipse-paho-mqtt-c_FOUND)
if (NOT MQTT_DESTINATION)
  return()
endif()


add_subdirectory(destination)

set(MQTT_SOURCES
    mqtt-parser.c
    mqtt-parser.h
    mqtt-plugins.c
)

add_module(
  TARGET mqtt
  GRAMMAR mqtt-grammar
  DEPENDS mqtt-destination
  SOURCES ${MQTT_SOURCES}
)

=== packaging/debian/changelog ===
syslog-ng (3.33.1-1) unstable; urgency=medium

  * New upstream release 3.33.1

 -- github-actions <github-actions@github.com>  Mon, 05 Jul 2021 17:16:40 +0000

syslog-ng (3.32.1-1) unstable; urgency=medium

  * New upstream release 3.32.1

 -- github-actions <github-actions@github.com>  Fri, 07 May 2021 06:26:13 +0000

syslog-ng (3.31.2-1) unstable; urgency=medium

  * New upstream release 3.31.2

 -- github-actions <github-actions@github.com>  Wed, 17 Mar 2021 16:37:02 +0000

syslog-ng (3.31.1-1) unstable; urgency=medium

  * New upstream release 3.31.1

 -- github-actions <github-actions@github.com>  Tue, 02 Mar 2021 18:55:27 +0000

syslog-ng (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1

 -- github-actions <github-actions@github.com>  Thu, 12 Nov 2020 12:59:09 +0000

syslog-ng (3.29.1-1) unstable; urgency=medium

  * New upstream release 3.29.1

 -- Laszlo Varady <stentor@x260>  Fri, 28 Aug 2020 12:13:25 +0000

syslog-ng (3.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Varady <laszlo.varady@balabit.com>  Tue, 16 Jun 2020 13:07:54 +0200

syslog-ng (3.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antal Nemes <antal.nemes@quest.com>  Tue, 28 Apr 2020 08:30:27 +0200

syslog-ng (3.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Update configuration version.

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Add support for the snmp() destination (syslog-ng-mod-snmp package).
  * Move the http() destination into a separate package (syslog-ng-mod-http).
  * Move BSD process accounting (pacct) support into the core package.
  * Move tags-parser() to the core package.
  * Add support for librdkafka based kafka destination (in mod-rdkafka
    package).
  * Use upstream scl.conf .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Mar 2020 14:18:20 +0000

syslog-ng (3.25.1-3) unstable; urgency=medium

  * Remove outdated pep8 build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Mar 2020 19:39:43 +0000

syslog-ng (3.25.1-2) unstable; urgency=medium

  * Update upstream bison update (closes: #949847).

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Remove unneeded/empty Makefile.am file.
  * Remove obsoleted sections from README.source .
  * Update github URL in copyright.
  * Change github url in the watch file.
  * Add wants/after lines into syslog-ng.systemd unit file.
  * Remove libgeoip-dev as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2020 11:38:57 +0000

syslog-ng (3.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge in syslog-ng-mod-journal (closes: #924264).
  * Remove syslog-ng-mod-geoip module.
  * Python3ify syslog-ng-mod-python (closes: #938618).
  * Add upstream persist-tool manpage.
  * Backport upstream bison update.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Dec 2019 08:42:10 +0000

syslog-ng (3.19.1-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Fix FTBFS with bison 3.4.1 (closes: #931302).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Jul 2019 16:37:13 +0000

syslog-ng (3.19.1-5) unstable; urgency=high

  * Backport security fixes:
    - fix app-parser() per reload memory leak,
    - logger: fix leaking file handlers,
    - DNS memory leak/segfault fix,
    - cmake: add missing detection for O_LARGEFILE,
    - threaded-dest: fix integer overflow,
    - threaded-dest: move last_worker to DestDriver,
    - cmake: fix typo in HAVE_STRNLEN,
    - http: add missing free for self->body_template,
    - test_pathutils: fix leak,
    - test_file_list: fix leak,
    - template: tf_simple_func_prepare leak fix,
    - gorupingby: fix memory leak,
    - groupingby: fix invalid memory access.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 May 2019 11:03:30 +0000

syslog-ng (3.19.1-4) unstable; urgency=medium

  * Add dns_cache(no) to options (closes: #922524).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Apr 2019 11:02:19 +0000

syslog-ng (3.19.1-3) unstable; urgency=medium

  * Correct syslog-ng-mod-examples description (closes: #920846).
  * Disable pacctformat building on non-Linux systems.
  * Disable buggy upgrade self-test.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Feb 2019 18:47:26 +0000

syslog-ng (3.19.1-2) unstable; urgency=medium

  * Install SCL files from source (closes: #920512).
  * Make syslog-ng-mod-pacctformat linux-any.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Jan 2019 13:57:58 +0000

syslog-ng (3.19.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Don't try to run self-tests until its Criterion dependency packaged.
  * Merge syslog-ng-mod-json into syslog-ng-core.
  * Add syslog-ng-mod-geoip2 module.
  * Add syslog-ng-mod-pacctformat module.
  * Add syslog-ng-mod-examples module.
  * Update syslog-ng-mod-extra install.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Remove own compression option.
  * Prepare for Python 3 module.
  * Build with libcurl4-openssl-dev.
  * Patch to remove outdated documentation.
  * Remove own ABI virtual package.
  * Add http destination module to -core.
  * Add hook commands module to -core.
  * Add loggen modules to -core.
  * Add secret storage module to -core.
  * Install pkg-config files to MultiArch directory.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Dec 2018 09:40:28 +0000

syslog-ng (3.13.2-5) unstable; urgency=medium

  * Update maintainer email address.
  * Add libcurl4-openssl-dev to Build-Conflicts.
  * Correct wording of patch short description.
  * Don't specify parallel to debhelper.
  * Update Standards-Version to 4.2.1 .



=== PKGBUILD ===
# Maintainer: Florian Pritz <bluewind@xinu.at>
# Contributor: Eric Bélanger <eric@archlinux.org>

pkgname=syslog-ng
pkgver=3.33.1
pkgrel=1
pkgdesc="Next-generation syslogd with advanced networking and filtering capabilities"
arch=('x86_64')
url="https://www.syslog-ng.com/products/open-source-log-management/"
license=('GPL2' 'LGPL2.1')
depends=('awk' 'systemd-libs' 'glib2' 'libnsl' 'json-c' 'curl' 'libnet' 'openssl')
makedepends=('libxslt' 'mongo-c-driver' 'librabbitmq-c' 'python' 'libesmtp' 'hiredis'
             'libdbi' 'libmaxminddb' 'net-snmp' 'librdkafka' 'libcap' 'systemd')
checkdepends=('python-nose' 'python-ply')
optdepends=('logrotate: for rotating log files'
            'libdbi: for the SQL plugin'
            'librabbitmq-c: for the AMQP plugin'
            'mongo-c-driver: for the MongoDB plugin'
            'libesmtp: for the SMTP plugin'
            'hiredis: for the Redis plugin'
            'libmaxminddb: for the GeoIP2 plugin'
            'net-snmp: for the SNMP plugin'
            'librdkafka: for the Kafka C plugin'
            'python: for Python-based plugins')
conflicts=('eventlog')
replaces=('eventlog')
backup=('etc/syslog-ng/scl.conf'
        'etc/syslog-ng/syslog-ng.conf'
        'etc/logrotate.d/syslog-ng'
        'etc/default/syslog-ng@default')
source=(https://github.com/balabit/syslog-ng/releases/download/syslog-ng-$pkgver/$pkgname-$pkgver.tar.gz
        syslog-ng.conf syslog-ng.logrotate)
sha512sums=('7142040bfe251df704b814e5ed916785e9b766cb9f1a0d02240b2260783f46757f9982564952e6431c84d451042d3fe746e4092ad37e34d0362e2eec7af2e9f1'
            'ef7611fd0e73d6e6f16691393810889a327ba51fc55b0458119b5d88356a0599fed87d9cccd6708886bdabdf1af78f1e1c590ddb1a3959224a3595daec2e1613'
            'cd39f545a6a855c866a466bf846e33940b2c2dd1fc2eaf50cce29c68e1a5753c7c4b56411e4f01c152f32e155104a98dd755a96319767f47c73a8853f720b2cc')

prepare() {
  cd $pkgname-$pkgver
  sed -i -e 's,/bin/,/usr/bin/,' -e 's,/sbin/,/bin/,' contrib/systemd/syslog-ng@.service
  sed -i -e 's|/var/run|/run|g' contrib/systemd/syslog-ng@default
}

build() {
  cd $pkgname-$pkgver
  ./autogen.sh
  ./configure --prefix=/usr --sysconfdir=/etc/syslog-ng --libexecdir=/usr/lib \
    --sbindir=/usr/bin --localstatedir=/var/lib/syslog-ng --datadir=/usr/share \
    --with-pidfile-dir=/run --enable-spoof-source --enable-ipv6 \
    --enable-systemd --with-systemdsystemunitdir=/usr/lib/systemd/system \
    --enable-manpages --enable-all-modules --disable-java --disable-java-modules  \
    --disable-mqtt --disable-riemann --with-python=3 --with-jsonc=system
  make
}

check() {
  cd $pkgname-$pkgver
  make check || /usr/bin/true # unit test requires criterion
}

package() {
  make -C $pkgname-$pkgver DESTDIR="$pkgdir" install
  install -dm755 "$pkgdir/var/lib/syslog-ng" "$pkgdir/etc/syslog-ng/patterndb.d"
  install -Dm644 "$srcdir/syslog-ng.conf" "$pkgdir/etc/syslog-ng/syslog-ng.conf"
  install -Dm644 "$srcdir/syslog-ng.logrotate" "$pkgdir/etc/logrotate.d/syslog-ng"
  install -Dm644 "$srcdir"/$pkgname-$pkgver/contrib/systemd/syslog-ng@default -t "$pkgdir"/etc/default
}
